# $Revision: 1.3 $, $Date: 2001/03/07 17:21:02 $
Summary:	A program that mimicks as much functionality in GNU grep as possible, applied at the network layer
Summary(pl):	Program speniajcy zadania GNU grep na poziomie sieci
Name:		ngrep
Version:	1.40.1
Release:	1
License:	GPL
Group:		Applications/Networking
Group(de):	Applikationen/Netzwerkwesen
Group(pl):	Aplikacje/Sieciowe
Source0:        http://prdownloads.sf.net:80/ngrep/%{name}-%{version}.tar.gz
#Patch0:		%{name}-time.patch
URL:		http://www.packetfactory.net/Projects/ngrep/
BuildRequires:	libpcap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ngrep strives to provide most of GNU grep's common features, applying
them to the network layer. ngrep is a pcap-aware tool that will allow
you to specify extended regular expressions to match against data
payloads of packets. It currently recognizes TCP and UDP across
ethernet, ppp and slip interfaces, and understands bpf filter logic in
the same fashion as more common packet sniffing tools, like tcpdump
and snoop.

%description -l pl
Ngrep prbuje wypeni zadania stawiane grep-owi, w odniesieniu do
poziomu sieci. Ngrep korzysta z biblioteki pcap, pozwala na
korzystanie z wyrae regularnych zastosowanych do pakietw czy
kawakw danych. Obecnie obrabia pakiety TCP i UDP przychodzce na
interfejsy ethernet, ppp i slip. Ngrep zna zasady filtrowania bpf w
takim samym stylu jak czciej uywane pakiety typu tpcdump czy snoop.

%prep
%setup -q -n %{name}
#%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

%{__install} ngrep $RPM_BUILD_ROOT%{_sbindir}
%{__install} ngrep.8 $RPM_BUILD_ROOT%{_mandir}/man8

gzip -9nf BUGS CHANGES README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Mon Jun 11 2001 Rich West <rwest@wesmo.com>
- Updated to 1.40.
- Removed the time patch (incorporated)

* Wed Apr 25 2001 Rich West <rwest@wesmo.com>
- Changed the dependency from libpcap-devel to libpcap, since libpcap-devel
  is no longer generated by the tcpdump RPM.
